/*
	Programa:	 Ejercicio prctico 4 junio 2004
	Descripcin: Programa para facturar clientes de un hotel
	Autor:	
	Fecha:		 4/6/2004
*/

// Directivas del precompilador
#include ...
#define CABECERA1 "    HOTEL COMILLAS                   CIF Q-XX.XXXXXXXX\n"
#define CABECERA2 "==========================================================\n"
#define N 15

typedef struct fecha
{
	int dia;
	int mes;
	int anio;
}T_FECHA;

typedef struct cliente
{
	char nombre[N];
	long int dni;
	int num_habitacion;
	T_FECHA f_entrada;
	T_FECHA f_salida;
	char facturado;
}T_CLIENTE;

// Prototipos de las funciones
int Dia_comienzo (int, int);
...

// Programa principal
int main (void)
{
	...
	...
	...
	return 0;
}

/*
	Funcin:		Dia_comienzo
	Descripcin:	Funcin que calcula el da de la semana que es
					el da 1 del mes y ao recibido.
		recibe:		El mes y el ao en nmeros.
		devuelve:	Un valor entre 1 y 7 (1 es lunes, 2 es martes,
					... 6 es sbado y 7 es domingo).
	Autor:
	Fecha:			4/6/2004
*/
int Dia_comienzo(int mes, int anio)
{
	// Declaracin de variables locales
    int a2;			// a2 son las dos ltimas cifras del ao
    int n;			// n es un valor intermedio para el clculo
	int valor;		// valor es el dato a devolver
    
	// Clculos
	a2 = anio%100;
    if (mes < 3)
          n = a2+31*(mes-1)+1+(a2-1)/4-3*((a2+99)/100)/4;
    else
          n = a2+31*(mes-1)+1-(4*mes+23)/10+a2/4;
    valor = n%7;
	
	// Ajustes del valor final
    if (anio >= 2000)
	{
		valor--;
		if (anio == 2000 && mes < 3)
			valor--;
	}
    if (valor == -1)
		valor = 6;
	else if (valor == 0)
			 valor = 7;
	
	return (valor);
}